@import "variables";

$dynamic-content-margin: max(20vw, 20rem);

.Sidebar {
  position: fixed;
  display: flex;
  flex-direction: column;
  top: 0;
  z-index: $z-index-navigation;
  width: $dynamic-content-margin;
  height: 100vh;
  padding: 1rem 1.5rem;
  transform: translateX(-100%);

  background: linear-gradient(
    160deg,
    $black 0%,
    $gray-800 60%,
    $primary 180%,
    $accent 140%
  );
  color: $gray-600;

  &__toggle {
    position: absolute;
    z-index: $z-index-navigation;
    top: 0.8rem;
    left: 100%;
    padding: 1rem;
    cursor: pointer;
    background: $gray-900;
    color: $gray-500;

    &:hover {
      color: $gray-700;
      transition: $transition-100;
    }
  }

  &__logo {
    width: 90%;
    margin: 1rem auto 2.5rem;
  }

  &__menu {
    overflow-y: auto;
    padding: 0 1rem;
  }

  &__menuCategoryTitle {
    margin: 0;
    color: $gray-500;
    text-transform: uppercase;
    font-weight: 500;
    font-size: $font-size-sm;
  }

  &__menuCategory {
    margin-bottom: 1.5rem;
    ul {
      padding: 0;
      margin: 0;
    }
  }

  &__menuCategoryItem {
    color: $gray-400;
    list-style: none;

    a {
      display: block;
      padding: 0.75rem 1rem;
      border-radius: $border-radius;
      color: $gray-300;
      text-decoration: none;
      transition: $transition-100;

      &.active {
        color: inherit;
        background: $gray-700;
        box-shadow: inset 0 -0.1rem 0 0 $primary;
      }

      &:hover {
        background: $gray-800;
        color: inherit;
      }

      .k-icon {
        margin: -0.2rem 0.5rem 0 0;
      }
    }
  }


}
